Subject: Re: [PATCH v3 0/2] pack-objects: introduce `pack.extraRecentObjectsHook`

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 May 2023 16:39:26 -0700

Taylor Blau <[email-masked]> writes:

> Here is a reworked version of the patch which introduced a new
> configuration `pack.extraCruftTips` to keep additional objects from
> pruning during a cruft pack-generating GC.
>
> The third round was significantly more complicated than necessary, and I

Hopefully you just meant "the previous round"; in a follow-up you
mention that this is v4 and not v3, which is also a good explanation
for that "third round was too complex".

>   - The new code does not change the existing cruft pack implementation
>     whatsoever. This is nice, since cruft packs will be the default in
>     the next release, so changing that implementation carries additional
>     risk.
>
>   - The new code is also not specific to cruft packs, meaning that you
>     can do things like:
>
>         $ git -c pack.extraRecentObjectsHook=... \
>           repack -Ad --unpack-unreachable=1.hour.ago
>
>     and have it write out loose copies of any object(s) mentioned by one
>     or more of the configured hooks.

OK.

> I am hopeful that others think this version is in a good spot. As in
> earlier rounds, I would appreciate an extra careful review on this
> topic, because of the changing default I mentioned earlier.
>
> Thanks in advance for your review.

Thanks for working on it.  I am in the process of pushing out
today's integration cycle already, so this topic will have to wait
until tomorrow's, though.